liblouisutdml (2.10.0-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Fix reproducibility by disabling javadoc translations.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on java-common.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Mar 2021 09:58:11 +0100

liblouisutdml (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * not-installed: Note that we don't install .la files and the copyright
    notice file.
  * docs, info: Install files from installed places.
  * control,rules: Disable java deps on kfreebsd-any a well.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Oct 2020 00:45:59 +0100

liblouisutdml (2.9.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/overflow: Upstreamed.
    - patches/xpass: Upstreamed.
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Aug 2020 18:02:03 +0200

liblouisutdml (2.8.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Use canonical URL in Vcs-Browser.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.

  [ Samuel Thibault ]
  * patches/xpass: Mark some tests as passing with liblouis 3.13

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Mar 2020 23:07:48 +0100

liblouisutdml (2.8.0-3) unstable; urgency=medium

  * control: Make liblouisutdml-dev depend on liblouis-dev.
  * patches/overflow: Fix buffer overflow.
  * patches/tests-fail: Remove patch, tests now fixed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Dec 2019 12:25:49 +0100

liblouisutdml (2.8.0-2) unstable; urgency=medium

  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Sep 2019 22:09:39 +0200

liblouisutdml (2.8.0-1) experimental; urgency=medium

  * New upstream release.
    - debian/control: Bump liblouis requirement.
  * rules: Remove non-working jquery files.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 18:56:17 +0200

liblouisutdml (2.7.1-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests/control: Mark command test as superficial, do not allow stderr.
  * tests/tests: Run the upstream testsuite.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 16:25:22 +0200

liblouisutdml (2.7.1-2) unstable; urgency=medium

  * patches/tests-fail: Disable some tests known to fail on some archs.
  * control, rules: Re-enable java on riscv64 (Closes: Bug#933721).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 13:12:30 +0200

liblouisutdml (2.7.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - rename liblouisutdml8 to liblouisutdml9 according to soname bump.
    - patches/cross_build: Merged.
    - patches/git-485b83a1c97d6abb94cf40fea26b054a7b818a83: Merged.
    - patches/git-81be1f508a3ed1e2d5428d147bb6d9500048a161: Merged.
    - patches/liblouis3.3: Merged.
    - docs: Ship README.md instead of README.org.

  [ Helmut Grohne ]
  * patches/cross_build: Fix cross-build (Closes: Bug#926061).

  [ Samuel Thibault ]
  * patches/hyphen: Remove patch, hyphen actually works already.
  * tests/control: Check the output of the test.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 20:53:53 +0200

liblouisutdml (2.7.0-6) unstable; urgency=medium

  * control, rules: Disable java on powerpcspe too.
  * patches/git-485b83a1c97d6abb94cf40fea26b054a7b818a83: Fix build with
    liblouis 3.9.0.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Mar 2019 16:40:36 +0100

liblouisutdml (2.7.0-5) unstable; urgency=medium

  * control, rules: Disable java on riscv64 too.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 12:17:18 +0100

liblouisutdml (2.7.0-4) unstable; urgency=medium

  * control: Set liblouisutdml-java-doc multi-arch: foreign.
  * control, rules: Disable java on archs without openjdk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 03:24:36 +0100

liblouisutdml (2.7.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.

  [ Steven De Herdt ]
  * Fix typo in changelog (Closes: Bug#898647)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 19:22:44 +0200

liblouisutdml (2.7.0-2) unstable; urgency=medium

  * patches/hyphen: Fix hyphenation.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Apr 2018 13:52:27 +0200

liblouisutdml (2.7.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patches applied upstream
    - Soname bump for liblouisutdml, so library package rename
  * Fix d/watch to actually find a new source
  * Miscellaneous packaging updates
  * liblouisutdml-java API documentation is now installed in
    /usr/share/doc/liblouisutdml-java/api/

 -- Paul Gevers <elbrus@debian.org>  Wed, 21 Feb 2018 18:53:47 +0100

liblouisutdml (2.6.0-5) unstable; urgency=medium

  * patches/liblouis3.3: Use upstream fixes.
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * patches/git-81be1f508a3ed1e2d5428d147bb6d9500048a161: Cherry-pick from
    upstream to add heading supports for opendocument files.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 05 Dec 2017 09:30:56 +0100

liblouisutdml (2.6.0-4) unstable; urgency=medium

  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.
  * patches/liblouis3.2: Cherry-pick upstream fix against liblouis 3.2 and
    above.
  * control: Bump liblouis-dev dependency to 3.2 and above accordingly
  * patches/liblouis3.3: More fixes, against liblouis 3.3 and above.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Sep 2017 11:46:53 +0200

liblouisutdml (2.6.0-3) unstable; urgency=medium

  * rules: Set JAVA_HOME to /usr/lib/jvm/default-java to fix detection of
    jni.h (Closes: Bug#832308)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2016 00:22:56 +0200

liblouisutdml (2.6.0-2) unstable; urgency=medium

  * patches/ftbfs: Fix conflicting function type.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 13:06:30 +0200

liblouisutdml (2.6.0-1) unstable; urgency=medium

  * New upstream release
    - Bump liblouis-dev build-dep version.
    - Rename liblouisutml6 package into liblouisutml7 according to upstream
      soname bump.
  * rules: Stop ignoring testsuite failure (Closes: Bug#821937)
  * control:
    - Bump Standards-Version to 3.9.8 (no change)
    - Update upstream URL.
  * watch: Update.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 01:58:34 +0200

liblouisutdml (2.5.0-3) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * rules: Use $(jvm_includes) from /usr/share/java/java_defaults.mk.
  (Closes: Bug#818392)
  * control: Build-Depend on java-common >= 0.54 to get $(jvm_includes).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Mar 2016 23:47:32 +0100

liblouisutdml (2.5.0-2) unstable; urgency=medium

  * rules: pass -notimestamp to javadoc to make build more reproducible.
  * Bump Standards-Version to 3.9.6 (no changes).
  * control:
    - Drop multiarch-support pre-depend.
    - Downgrade converter dependencies to Suggests, since the user has to know
    how to combine them with liblouisutdml anyway.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Dec 2015 20:54:17 +0100

liblouisutdml (2.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Aug 2014 00:20:16 +0200

liblouisutdml (2.4.0-1) unstable; urgency=low

  * New upstream release.
    - Do not remove build-aux, some gnulib parts are there.
  * control: Make liblouisutdml-dev Multi-Arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Jun 2013 01:58:02 +0200

liblouisutdml (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).
  * source/format: Set to 3.0 (quilt).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Mar 2012 00:01:57 +0100

liblouisutdml (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * control:
    - Depend on hardening-check.
    - Make liblouisutdml-bin recommend rtf2xml.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Feb 2012 00:20:38 +0100

liblouisutdml (2.0.0-2) unstable; urgency=low

  * debian/rules: Export CPPFLAGS (Closes: Bug#642670).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Oct 2011 01:03:48 +0200

liblouisutdml (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control,rules: rename liblouisutdml5 package to liblouisutdml6 due to
    soname bump to version 6.
  * debian/liblouisutdml-dev.install: Move pkg-config file to multiarch place.
  * windows/Makefile.am: Upstream patch to fix make distclean.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Aug 2011 03:54:24 +0200

liblouisutdml (1.9.0-1) unstable; urgency=low

  * New upstream release, "It should be free of bugs".
  * debian/control:
    - Rename liblouisutdml1 to liblouisutdml5 due to soname change.
    - Build-depend on dpkg-dev (>= 1.16).
    - Bump Standards-Version to 3.9.2.
    - Make liblouisutdml5 pre-depend on multiarch-support.
  * debian/copyright: update.
  * debian/rules: use DEB_HOST_MULTIARCH for /usr/lib path.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Apr 2011 20:02:31 +0200

liblouisutdml (1.7.0-2) unstable; urgency=low

  * Add java packages:
    - debian/control: add default-jdk and ant build-dependencies, add
    liblouisutdml-java and liblouisutdml-java-doc packages.
    - debian/rules: separate build into build-indep and build-arch, build
    jliblouisutdml.jar and javadoc documentation.

  * debian/control:
    - set liblouisutdml-data Multi-Arch: foreign.
    - add libtool build-dependency (Closes: #621906).
  * debian/rules:
    - Add -I/usr/lib/jvm/default-java/include to CPPFLAGS to get jni.h
    - Remove more generated files.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Mar 2011 02:31:16 +0100

liblouisutdml (1.7.0-1) unstable; urgency=low

  * Initial release (Closes: Bug#590638).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 18:01:56 +0100
